% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LEGIT.R
\name{forward_step}
\alias{forward_step}
\title{Internal function that does the forward step for the stepwise function.}
\usage{
forward_step(empty_start_dataset, fit, data, formula,
  interactive_mode = FALSE, genes_current = NULL, env_current = NULL,
  genes_toadd = NULL, env_toadd = NULL, search = "genes",
  search_criterion = "AIC", p_threshold = 0.2,
  exclude_worse_AIC = TRUE, max_steps = 100, cv_iter = 5,
  cv_folds = 10, folds = NULL, Huber_p = 1.345,
  classification = FALSE, start_genes = NULL, start_env = NULL,
  eps = 0.01, maxiter = 100, family = gaussian, ylim = NULL,
  seed = NULL, print = TRUE)
}
\arguments{
\item{empty_start_dataset}{If TRUE, the initial dataset is empty.}

\item{fit}{Current best fit.}

\item{...}{Same parameters as in the stepwise function.}
}
\value{
Returns fit, start_genes, start_env and genes_current, genes_toadd if search="genes" or env_current and env_toadd if search="env".
}
\description{
Internal function that does the forward step for the stepwise function.
}
\keyword{internal}
